<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("admin_index_navigation_end", "missmail_navigation");

function missmail_info()
{
	return array(
		"name"			  => "Pasif Kullanclara e-Posta eklentisi",
		"description"	  => "Sends mass maill to inactive users. eviri: <a href='http://www.mybboard.web.tr'>dared</a>",
		"website"		  => "http://www.dragonfever.info",
		"author"		  => "DragonFever",
		"authorsite"	  => "http://www.dragonfever.info",
		"version"		  => "0.1",
    	"guid"			  => "",
		"compatibility"   => "12*",
	);
}

function missmail_activate()
{
	global $db;
	
	$query = $db->simple_select(TABLE_PREFIX."settinggroups", "COUNT(*) as rows");
	$rows = $db->fetch_field($query, "rows");
	
	$grouparray = array(
		'gid' => 'NULL', 
		'name' => 'missmail', 
		'title' => 'Pasif Kullanclara e-Posta Gnder', 
		'description' => 'Options for Send Mail to Inactive Users plugin', 
		'disporder' => $rows+1, 
		'isdefault' => 'no'
	);
	$db->insert_query(TABLE_PREFIX."settinggroups", $grouparray);
	$groupid = $db->insert_id();
	
	$settingarray = array(
		'name' => 'missmailenable',
		'title' => 'Pasif Kullanclara e-Posta eklentisi hzl ap kapatma',
		'description' => 'Turns on or off Send Mail to Inactive Users plugin.',
		'optionscode' => 'onoff',
		'value' => 'on',
		'disporder' => 0,
		'gid' => $groupid
	);
	$db->insert_query(TABLE_PREFIX."settings", $settingarray);
	rebuildsettings();
	
	echo "<script language=\"JavaScript\">
		  	parent.nav.location.href =  \"./index.php?".SID."&action=navigation\";
		  </script>";
}

function missmail_deactivate()
{
	global $db;
	
	$db->delete_query(TABLE_PREFIX."settinggroups", "name = 'missmail'");
	$db->delete_query(TABLE_PREFIX."settings", "name = 'missmailenable'");
	rebuildsettings();
	
	echo "<script language=\"JavaScript\">
		  	parent.nav.location.href =  \"./index.php?".SID."&action=navigation\";
		  </script>";
}

function missmail_navigation()
{
	global $menu, $mybb, $lang;
	$lang->set_language($mybb->settings['bblanguage'], "admin");
	$lang->load("missmail");
	$menu[60]['items'][] = array('title' => $lang->missmail, 'url' => "missmail.php?".SID);
}

?>